
ISIS - Bug #4180

photomet - usedem parameter not functioning

2016-07-22 03:53 PM - Tammy Becker

Status: Closed   

Priority: Normal   

Assignee: Curtis Rose   

Category: Applications   

Target version: FY17 Backlog   

Impact: Fixed an error where the DEM was being

used when the cube had a ShapeModel

that was not Nulland usedem was false.

In that instance, the program now uses

an ellipsoid model instead of the DEM by

default.

Software Version:  

Description

I have an Apollo Metric image projected to equirectangular.

It is pointing to a shapemodel in the Kernels group.

When using the 'maxemission' parameter to 'trim' at an emission angle of 87.0 degrees, there is no difference in the

output whether I set usedem=true or default to usedem=false.   It obviously uses the dem to trim at a local emission

angle regardless of the usedem parameter value.

The only way to trim using the ellipsoid emission angle is to set the keyword shapemodel=Null; this is not an appropriate work

around.

Test area:/work/users/tbecker/IsisTesting/UseDEM

Command:

photomet from=AS15-M-1499_msk-L2_250mpp.cub to=AS15-M-1499_msk-L2_250mpp-usedem-true.cub maxemission=87.0

usedem=yes phtname=minnaert k=0.5 normname=albedo incref=0 incmat=80 thresh=30 albedo=1.0

photomet from=AS15-M-1499_msk-L2_250mpp.cub to=AS15-M-1499_msk-L2_250mpp-usedem-false.cub maxemission=87.0

usedem=no phtname=minnaert k=0.5 normname=albedo incref=0 incmat=80 thresh=30 albedo=1.0

A version of this file without a shape model set:AS15-M-1499_msk-L2_250mpp-NODEM.cub  (shapemodel=NULL)

The output of this command results in what is expected as the command above with usedem=no

photomet from=AS15-M-1499_msk-L2_250mpp-NODEM.cub to=AS15-M-1499_msk-L2_250mpp-usedem-false.cub

maxemission=87.0 usedem=no phtname=minnaert k=0.5 normname=albedo incref=0 incmat=80 thresh=30 albedo=1.0

also! with this file that has "NODEM" (shapemodel=NULL); when I set usedem=yes it runs and results in the same output as

usedem-false.  Shouldn't it inform the user that a DEM is not included in the labels????

The commands above are included in the steps.csh

History

#1 - 2016-07-26 11:14 AM - Curtis Rose

- Assignee set to Curtis Rose

#3 - 2016-07-27 04:58 PM - Curtis Rose

- Status changed from Acknowledged to In Progress

- Impact updated

#4 - 2016-07-27 05:01 PM - Curtis Rose

- Status changed from In Progress to Resolved
#5 - 2016-10-03 10:15 AM - Stuart Sides

- Target version set to FY17 Backlog

#6 - 2016-11-07 10:17 AM - Curtis Rose

- Status changed from Resolved to In Progress

#7 - 2016-11-07 11:43 AM - Curtis Rose

- Status changed from In Progress to Resolved

Application is working as expected. Usedem and Anglesource have been separated in code so that they work properly.

Added user documentation.

#8 - 2016-11-07 01:13 PM - Tammy Becker

A user test plan exists for this issue:  /work/projects/usertests/UserTestPlans/Apps/photomet/m04180/

photomet_m04190_testplan.txt

photomet-test.csh

#9 - 2016-11-07 01:14 PM - Tammy Becker

- Status changed from Resolved to Closed
